Loading...
Searching...
No Matches
Opm::EclEpsConfig Class Reference

Specifies the configuration used by the endpoint scaling code. More...

`#include <EclEpsConfig.hpp>`

## Public Member Functions

void | setEnableSatScaling (bool yesno)
| Specify whether saturation scaling is enabled.
bool | enableSatScaling () const
| Returns whether saturation scaling is enabled.
void | setEnableThreePointKrSatScaling (bool yesno)
| Specify whether three point saturation scaling is enabled for the relative permeabilities.
bool | enableThreePointKrSatScaling () const
| Returns whether three point saturation scaling is enabled for the relative permeabilities.
void | setEnableKrwScaling (bool yesno)
| Specify whether relative permeability scaling is enabled for the wetting phase.
bool | enableKrwScaling () const
| Returns whether relative permeability scaling is enabled for the wetting phase.
void | setEnableThreePointKrwScaling (const bool enable)
| Specify whether three-point relative permeability value scaling is enabled for the wetting phase (KRWR + KRW).
bool | enableThreePointKrwScaling () const
| Whether or not three-point relative permeability value scaling is enabled for the wetting phase (KRWR + KRW).
void | setEnableThreePointKrnScaling (const bool enable)
| Specify whether three-point relative permeability value scaling is enabled for the wetting phase (e.g., KRORW + KRO).
bool | enableThreePointKrnScaling () const
| Whether or not three-point relative permeability value scaling is enabled for the non-wetting phase (e.g., KRORW + KRO).
void | setEnableKrnScaling (bool yesno)
| Specify whether relative permeability scaling is enabled for the non-wetting phase.
bool | enableKrnScaling () const
| Returns whether relative permeability scaling is enabled for the non-wetting phase.
void | setEnablePcScaling (bool yesno)
| Specify whether capillary pressure scaling is enabled.
bool | enablePcScaling () const
| Returns whether capillary pressure scaling is enabled.
void | setEnableLeverettScaling (bool yesno)
| Specify whether the Leverett capillary pressure scaling is enabled.
bool | enableLeverettScaling () const
| Returns whether the Leverett capillary pressure scaling is enabled.

## Detailed Description

Specifies the configuration used by the endpoint scaling code.

This means which quantities are scaled and how this is to be done.

## Member Function Documentation

## enableLeverettScaling()

bool Opm::EclEpsConfig::enableLeverettScaling | ( |  | ) | const

inline

Returns whether the Leverett capillary pressure scaling is enabled.

If this returns true, Leverett capillary pressure scaling will be used instead of the normal capillary pressure scaling and the value of enablePcScaling() does not matter anymore.

## setEnableLeverettScaling()

void Opm::EclEpsConfig::setEnableLeverettScaling | ( | bool | yesno | ) |

inline

Specify whether the Leverett capillary pressure scaling is enabled.

If setting this to true, Leverett capillary pressure scaling will be used instead of the normal capillary pressure scaling and the value of enablePcScaling() will not matter anymore.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclEpsConfig.hpp